Subject: Re: [PATCH v3] add --abbrev to 'git cherry'

From: Jeff Epler <[email-masked]>
Date: Mon, 1 Jun 2009 06:54:34 -0500

On Sun, May 31, 2009 at 12:51:23PM -0700, Junio C Hamano wrote:
> Stopping here would be a good idea if "log --left-right --cherry-pick A...B"
> (perhaps with a custom --pretty option) covers what you originally wanted
> to do.

Yes, I now see that 'git log' can pretty much do what I want.  Having
learned of 'git cherry', it didn't cross my mind that 'git log' was set
up to do all 'git cherry' did and more.

> But if the reason why you wanted --abbrev was because you wanted to use it
> in your scripted Porcelain, and if the reason why you have your scripted
> Porcelain is because you wanted to add some _other_ information that "log"
> does not give you easily, perhaps it would be a good idea to share _that_.

No, this is all about displaying directly to the user (me) in a pager,
specifically about getting as much of the change summary in the first 80
columns as possible.

Jeff